Skip to main content

Get Historical Link Queue Lengths

GET 

/regions/:region/links/:link_id/queue-lengths

This method allows you to view the queue length time series of a single Link in a particular region.

Use since and until parameters to control the time range. You can select time range of maximum 30 days.

Getting historical estimated queue length​

You must set since and until to be a time in the past or present, and set minutes_ahead to 0.

Getting predicted queue length​

You can set until to be a time in the future, up to 1 hour ahead, in steps of 5 minutes. You must set minutes_ahead to value greater than 0.

Note that minutes_ahead = 30 represents a prediction made for 30 minutes ahead when the prediction was made. Hence, when you set minutes_ahead to 30, the furthest you can set until is 30 minutes from the current time, and so on.

Request​

Responses​

Successful Response